<?php
namespace TrendyBabySpace\Wpclever\CmsmastersFramework\Kits\Settings\Wpclever;

use TrendyBabySpace\Wpclever\CmsmastersFramework\Kits\Kit as Plugin_Kit;
use TrendyBabySpace\Kits\Settings\Base\Base_Section;


if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}


/**
 * Elements section.
 */
class Section extends Base_Section {

	/**
	 * Get name.
	 *
	 * Retrieve the section name.
	 */
	public static function get_name() {
		return 'wpclever';
	}

	/**
	 * Get title.
	 *
	 * Retrieve the section title.
	 */
	public static function get_title() {
		return esc_html__( 'Wpclever', 'trendy-baby' );
	}

	/**
	 * Get icon.
	 *
	 * Retrieve the section icon.
	 */
	public static function get_icon() {
		return 'eicon-plug';
	}

	/**
	 * Get toggles.
	 *
	 * Retrieve the section toggles.
	 */
	public static function get_toggles() {

		$sections = array( 'wpclever-overlay' );

		if ( class_exists( 'WPCleverWoosq' ) ) {
			array_push( $sections, 'quick-view' );
		}

		if ( class_exists( 'WPCleverWoosw' ) ) {
			array_push( $sections, 'wishlist' );
		}

		if ( class_exists( 'WPCleverWoosc' ) ) {
			array_push( $sections, 'compare' );
		}

		if ( class_exists( 'WPCleverWoosc' ) || class_exists( 'WPCleverWoosw' ) ) {
			array_push( $sections, 'wishlist-compare-message' );
		}

		return $sections;
	}

	/**
	 * Get kit namespace.
	 *
	 * @return string Kit namespace.
	 */
	public function get_kit_namespace() {
		return Plugin_Kit::KIT_NAMESPACE;
	}
}
